Skip to main content
GET
Get the currently playing track

Authorizations

Authorization
string
header
required

Rocksky bearer token.

Query Parameters

playerId
string
actor
string

Handle or DID of the actor to retrieve the currently playing track for. If not provided, defaults to the current user.

Response

Success

title
string

The title of the currently playing track

device
any
shuffle_state
boolean
repeat_state
string
timestamp
integer
context
any
progress_ms
integer | null
item
any
currently_playing_type
string
actions
any
is_playing
boolean
uri
string | null
albumUri
string | null
artistUri
string | null
liked
boolean